Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-28022

Missing dependency libzstd-dev not available in Debian 9

    XMLWordPrintable

    Details

      Description

      There are some missing dependencies for the aarch64-debian-9 builder (https://buildbot.mariadb.org/#/builders/77/builds/7905)

      debian/autobake-deb.sh
       in dir /home/buildbot/aarch64-debian-9-deb-autobake/build (timeout 1200 secs)
       watching logfiles {'CMakeCache.txt': './builddir/CMakeCache.txt'}
       argv: [b'debian/autobake-deb.sh']
       environment:
        BUILDMASTER=buildbot.mariadb.org
        BUILDMASTER_PORT=9992
        CCACHE_DIR=/mnt/ccache
        DEB_BUILD_OPTIONS=parallel=4
        HOME=/home/buildbot
        HOSTNAME=d43a6a8f6114
        PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
        PWD=/home/buildbot/aarch64-debian-9-deb-autobake/build
        WORKERNAME=aarch64-bbw2-docker-debian-9
       using PTY: False
      Incrementing changelog and starting build scripts
      libdistro-info-perl is not installed, Debian release names are not known.
      libdistro-info-perl is not installed, Ubuntu release names are not known.
      Creating package version 1:10.4.25+maria~stretch ... 
      dpkg-buildpackage: info: source package mariadb-10.4
      dpkg-buildpackage: info: source version 1:10.4.25+maria~stretch
      dpkg-buildpackage: info: source distribution stretch
      dpkg-buildpackage: info: source changed by Otto Kekäläinen <buildbot@d43a6a8f6114>
       dpkg-source -I --before-build build
      dpkg-buildpackage: info: host architecture arm64
      dpkg-checkbuilddeps: error: Unmet build dependencies: libzstd-dev
      dpkg-buildpackage: warning: build dependencies/conflicts unsatisfied; aborting
      dpkg-buildpackage: warning: (Use -d flag to override.)
      program finished with exit code 3
      elapsedTime=4.765945
      

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              danblack Daniel Black
              Reporter:
              vladbogo Vlad Bogolin
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Git Integration

                  Error rendering 'com.xiplink.jira.git.jira_git_plugin:git-issue-webpanel'. Please contact your Jira administrators.